Initiate contact names sync from the WhatsApp Business App. This imports contact names stored in the app to Zavu. Only available for coexistence accounts with active status.
curl --request POST \
--url https://api.zavu.dev/v1/senders/{senderId}/whatsapp-sync/contacts \
--header 'Authorization: Bearer <token>'{
"message": "Contacts sync initiated",
"sync": {
"isCoexistence": true,
"status": "active",
"history": {
"status": "completed",
"canSync": false,
"requestedAt": "2024-01-15T10:00:00Z",
"completedAt": "2024-01-15T10:05:00Z"
},
"contacts": {
"status": "pending",
"canSync": false,
"requestedAt": "2024-01-15T11:00:00Z"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
curl --request POST \
--url https://api.zavu.dev/v1/senders/{senderId}/whatsapp-sync/contacts \
--header 'Authorization: Bearer <token>'{
"message": "Contacts sync initiated",
"sync": {
"isCoexistence": true,
"status": "active",
"history": {
"status": "completed",
"canSync": false,
"requestedAt": "2024-01-15T10:00:00Z",
"completedAt": "2024-01-15T10:05:00Z"
},
"contacts": {
"status": "pending",
"canSync": false,
"requestedAt": "2024-01-15T11:00:00Z"
}
}
}